> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapfy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete webhook

> Removes a webhook from the instance.



## OpenAPI

````yaml /en/api-reference/openapi.json delete /instances/{id}/webhooks/{webhookId}
openapi: 3.1.0
info:
  title: Zapfy API
  description: >-
    Multi-tenant WhatsApp API. Send messages and manage webhooks through a
    single surface.
  version: 1.0.0
servers:
  - url: https://api.zapfy.io/v1
security:
  - accountToken: []
paths:
  /instances/{id}/webhooks/{webhookId}:
    parameters:
      - $ref: '#/components/parameters/InstanceId'
      - $ref: '#/components/parameters/WebhookId'
    delete:
      tags:
        - Webhooks
      summary: Delete webhook
      description: Removes a webhook from the instance.
      responses:
        '204':
          description: Webhook deleted.
        '401':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
components:
  parameters:
    InstanceId:
      name: id
      in: path
      required: true
      description: Instance ID.
      schema:
        type: string
    WebhookId:
      name: webhookId
      in: path
      required: true
      description: Webhook ID.
      schema:
        type: string
  responses:
    Error:
      description: Error.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Instance not found
  securitySchemes:
    accountToken:
      type: http
      scheme: bearer
      description: Account token (`zpfy_acct_...`) — manages instances and webhooks.

````